Bug 192910

Summary: IDE can't recognize Oracle Solaris Studio compiler from patch area
Product: cnd Reporter: soldatov <soldatov>
Component: -- Other --Assignee: Alexander Simon <alexvsimon>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC: apepin
Version: 6.x   
Target Milestone: 6.x   
Hardware: PC   
OS: All   
Whiteboard: 69patch3-verified, CR_7109945, 701patch-candidate
Issue Type: DEFECT Exception Report:
Attachments: last patch with increased spec version

Description soldatov 2010-12-06 10:15:40 UTC
NetBeans 6.9.1 (oracle Solaris Studio 12.2 is based on this build) and NetBeans 7.0 can't recognize compiler from /shared/dp/branches/aten/buildarea/latest, because it contains patch number

bash-3.00$ /shared/dp/branches/aten/buildarea/latest/inst/sparc-S2/bin/CC -V
CC: Sun C++ 5.11 SunOS_sparc 145730-01 2010/12/02
usage: CC [ options ] files.  Use 'CC -flags' for details

Scenario:
- Call "Add New Tool Collection" wizard
- Type /shared/dp/branches/aten/buildarea/latest/inst/sparc-S2/bin
==> "No compiler set were found ..." message appears
Comment 1 Leonid Lenyashin 2010-12-06 10:56:18 UTC
It might be necessary to add this fix to 6.9.1 patch 3 which might need to be delayed because of that.
Comment 2 Alexander Simon 2010-12-06 12:45:13 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/b18b037a81a8
Comment 3 Marian Mirilovic 2010-12-06 15:15:40 UTC
Leonid,
please transplant fix into clone releases / branch release692, see
http://wiki.netbeans.org/NetBeansPatchesProcess#How_to_proceed_with_patch for
details by Tuesday 7th of December 2010. Do not forget to increase spec versions. Thanks in advance.
Comment 4 Alexander Simon 2010-12-06 15:30:10 UTC
additional fix for Open Solaris:
http://hg.netbeans.org/cnd-main/rev/abdd875e90f1
Comment 5 soldatov 2010-12-06 15:52:57 UTC
verified in NetBeans 7.0 with fix from Alexander
Comment 6 Alexander Simon 2010-12-06 17:21:56 UTC
next fix:
http://hg.netbeans.org/cnd-main/rev/ec45ccf12f14
Comment 7 Alexander Simon 2010-12-06 19:25:07 UTC
Created attachment 103640 [details]
last patch with increased spec version
Comment 8 Alexander Simon 2010-12-06 19:32:13 UTC
I can not push changes in releases/release692.
Could anybody help me?
See log:
-----------------------
{2} bash-3.00#hg branch
release692

{2} bash-3.00#hg out
comparing with https://alexvsimon:***@hg.netbeans.org/releases/
searching for changes
changeset:   187770:fde28eaa97ee
branch:      release692
parent:      187760:66c152f31eb9
user:        Alexander Simon <alexvsimon@netbeans.org>
date:        Mon Dec 06 15:18:39 2010 +0300
summary:     fixed Bug #192910 IDE can't recognize Oracle Solaris Studio compiler from patch area

changeset:   187771:265238c8b33f
branch:      release692
user:        Alexander Simon <alexvsimon@netbeans.org>
date:        Mon Dec 06 18:28:07 2010 +0300
summary:     fixed Bug #192910 IDE can't recognize Oracle Solaris Studio compiler from patch area

changeset:   187772:b93ac23618e1
branch:      release692
user:        Alexander Simon <alexvsimon@netbeans.org>
date:        Mon Dec 06 20:20:04 2010 +0300
summary:     fixed Bug #192910 IDE can't recognize Oracle Solaris Studio compiler from patch area

changeset:   187773:af716418816a
branch:      release692
tag:         tip
user:        Alexander Simon <alexvsimon@netbeans.org>
date:        Mon Dec 06 21:59:03 2010 +0300
summary:     fixed Bug #192910 IDE can't recognize Oracle Solaris Studio compiler from patch area

{2} bash-3.00#hg push
pushing to https://alexvsimon:***@hg.netbeans.org/releases/
searching for changes
abort: push creates new remote heads!
(did you forget to merge? use push -f to force)
{2} bash-3.00#hg branch
release692

{2} bash-3.00#hg out
comparing with https://alexvsimon:***@hg.netbeans.org/releases/
searching for changes
changeset:   187770:fde28eaa97ee
branch:      release692
parent:      187760:66c152f31eb9
user:        Alexander Simon <alexvsimon@netbeans.org>
date:        Mon Dec 06 15:18:39 2010 +0300
summary:     fixed Bug #192910 IDE can't recognize Oracle Solaris Studio compiler from patch area

changeset:   187771:265238c8b33f
branch:      release692
user:        Alexander Simon <alexvsimon@netbeans.org>
date:        Mon Dec 06 18:28:07 2010 +0300
summary:     fixed Bug #192910 IDE can't recognize Oracle Solaris Studio compiler from patch area

changeset:   187772:b93ac23618e1
branch:      release692
user:        Alexander Simon <alexvsimon@netbeans.org>
date:        Mon Dec 06 20:20:04 2010 +0300
summary:     fixed Bug #192910 IDE can't recognize Oracle Solaris Studio compiler from patch area

changeset:   187773:af716418816a
branch:      release692
tag:         tip
user:        Alexander Simon <alexvsimon@netbeans.org>
date:        Mon Dec 06 21:59:03 2010 +0300
summary:     fixed Bug #192910 IDE can't recognize Oracle Solaris Studio compiler from patch area

{2} bash-3.00#hg push
pushing to https://alexvsimon:***@hg.netbeans.org/releases/
searching for changes
abort: push creates new remote heads!
(did you forget to merge? use push -f to force)

{2} bash-3.00#hg merge
abort: repo has 33 heads - please merge with an explicit rev

{2} bash-3.00#hg merge
abort: repo has 33 heads - please merge with an explicit rev
-----------------------
Comment 9 Quality Engineering 2010-12-07 06:12:23 UTC
Integrated into 'main-golden', will be available in build *201012070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b18b037a81a8
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #192910 IDE can't recognize Oracle Solaris Studio compiler from patch area
Comment 10 Alexander Pepin 2010-12-10 12:54:33 UTC
verified in patch3
Comment 11 Alexander Simon 2012-01-12 08:03:56 UTC
fix failed if compiler version contains "Patch" word:
For example:
cc: Sun C 5.11 SunOS_sparc Patch 145354-05 2011/09/13
Comment 12 Alexander Simon 2012-01-12 11:42:48 UTC
fixed in releases, branch release692, change set:
http://hg.netbeans.org/releases/rev/99079ac572f7
Comment 13 Alexander Simon 2012-01-12 11:44:20 UTC
QA, please, verify fix.
Comment 14 Vladimir Voskresensky 2012-01-12 14:00:22 UTC
(In reply to comment #12)
> fixed in releases, branch release692, change set:
> http://hg.netbeans.org/releases/rev/99079ac572f7
I'd prefer solution with completely removed postfix for 12.2:
- it will prevent any possible problems with next patches as well
Comment 15 Alexander Simon 2012-01-12 14:21:36 UTC
(In reply to comment #14)
> I'd prefer solution with completely removed postfix for 12.2:
> - it will prevent any possible problems with next patches as well
fixed in releases, branch release692, change set:
http://hg.netbeans.org/releases/rev/b191bbf3218b
Comment 16 Alexander Pepin 2012-05-14 13:21:29 UTC
verified in NB 7.0.1 patch3 candidate (build 201205021427)
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo